Cannot install any plugin with Onsen ui 2.0



  • Hi all, i’m having serial issues with migration to onsen to onsen 2. After days of work all seems going good, but after installed all kind of plugins, any of those works. Example: **“Device is not defined” “inAppBrowser is not defined” **…

    Here my index.html
    0_1472829852035_1.JPG 1_1472829852036_2.JPG

    Here my app.js
    0_1472829947628_3.JPG 0_1472829954582_4.JPG

    The error message in this case is when the plugin InAppBrowser is called. If i remove it the error message will be when i call device.platform.

    • I tried to remove and re-add the platform

    • I tried to remove and re-add the plugins

    • I configured all the modules (like you see in my app.js)

    • I configured all the dependencies like you see in my index.html

    I dont know why, but it seems miss some dependencies. Anyone can give me some suggestion to resolve this?
    Thanks in advice.


  • Onsen UI

    @ceskomira90 Are you including cordova.js? I see the comment <!-- Cordova reference --> that we wrote in our templates but I don’t see there an actual reference to cordova.js. Maybe you removed it by mistake?



  • Yes!! after different matches with the old onsen I removed that file. Thanks a lot. Have a nice day.


Log in to reply